Skip to main content
GET
/
smart-lists
List Smart
curl --request GET \
  --url https://crm.universal.rollout.com/api/smart-lists \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Rollout-Credential-Id: <api-key>'
{
  "_metadata": {
    "collection": "<string>",
    "offset": 123,
    "limit": 123,
    "total": 123,
    "next": "<string>",
    "nextLink": "<string>"
  },
  "smart-lists": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "isFub2": true,
      "shared": true,
      "userId": "<string>",
      "conditions": [
        [
          {
            "fld": "<string>",
            "opr": "<string>",
            "num": "<string>",
            "unit": "<string>",
            "val": [
              "<string>"
            ]
          }
        ]
      ],
      "sortBy": "<string>",
      "columns": [
        {
          "name": "<string>",
          "enabled": true,
          "width": 123
        }
      ],
      "sharedWith": {
        "userIds": [
          "<string>"
        ],
        "teamIds": [
          "<string>"
        ]
      },
      "created": "<string>",
      "updated": "<string>",
      "rolloutUpdated": "<string>",
      "originalIds": {},
      "original": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Authorization JWT

X-Rollout-Credential-Id
string
header
required

The Rollout Credential ID to use for queries/mutations

Query Parameters

next
string
offset
default:0
limit
number

Response

OK

_metadata
object
required
smart-lists
object[]
required